Summary: The ReiserFS file system utilities
Name: hhl-target-reiserfsprogs
Version: 3.x.1b
Release: %{_hhl_build_id}.1
Source: ftp://ftp.reiserfs.org/pub/reiserfsprogs//reiserfsprogs-3.x.1b.tar.gz
Source1: reiserfsprogs.tmpl
Source2: reiserfsprogs-doc.tmpl
License: GPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%define _hhl_target_sbin_dir	/sbin

%description
ReiserFS is a file system based on a balanced-tree structure.
It uses a journal to log updates, eliminating the need for
fsck after a system crash.  ReiserFS is more efficient at
storing small files and large directories than traditional
linux filesystems.

More information can be obtained at http://www.reiserfs.com

This package contains programs for creating, checking,
resizing, and debugging ReiserFS filesystems.

%package -n hhl-%{_hhl_target_arch}-reiserfsprogs
Summary: The EXT2 file system utilities and libraries.
Group: base
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-reiserfsprogs
ReiserFS is a file system based on a balanced-tree structure.
It uses a journal to log updates, eliminating the need for
fsck after a system crash.  ReiserFS is more efficient at
storing small files and large directories than traditional
linux filesystems.

More information can be obtained at http://www.reiserfs.com

This package contains programs for creating, checking,
resizing, and debugging ReiserFS filesystems.

%package -n hhl-%{_hhl_target_arch}-reiserfsprogs-doc
Summary: The EXT2 file system utilities and libraries.
Group: base
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-reiserfsprogs-doc
ReiserFS is a file system based on a balanced-tree structure.
It uses a journal to log updates, eliminating the need for
fsck after a system crash.  ReiserFS is more efficient at
storing small files and large directories than traditional
linux filesystems.

More information can be obtained at http://www.reiserfs.com

The reiserfsprogs package contains programs for creating, checking,
resizing, and debugging ReiserFS filesystems.

This package includes the documentation for reiserfsprogs.

%prep
%target_check
%setup -q -n reiserfsprogs-3.x.1b

%build
%target_setup
%target_configure CPPFLAGS=-I../../include

%make all | tee -a build.log

%install
%target_setup
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_docdir}/reiserfsprogs
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8

%target_makeinstall | tee -a build.log

for FILE in %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/*.8
do
	[ -f $FILE ] && gzip -f -9 $FILE || true
done
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/reiserfsprogs
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/reiserfsprogs-doc

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-reiserfsprogs
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/debugreiserfs
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/mkreiserfs
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/reiserfsck
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/resize_reiserfs
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/reiserfsprogs
%doc LICENSE
%files -n hhl-%{_hhl_target_arch}-reiserfsprogs-doc
%defattr(-,root,root)
%doc COPYING ChangeLog README
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/debugreiserfs.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkreiserfs.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/reiserfsck.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/resize_reiserfs.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/reiserfsprogs-doc
%doc LICENSE
%changelog
* Wed Apr 10 2002 Dale Farnsworth <dale.farnsworth@mvista.com>
- new upstream version version 3.x.1b
* Thu Jan 10 2002 Dale Farnsworth <dale.farnsworth@mvista.com>
- new upstream version version 3.x.1a
* Tue Jul 17 2001 Dale Farnsworth <dale.farnsworth@mvista.com>
- new upstream version version 3.x.0k-pre9
- reiserfsprogs now run on big-endian as well as little-endian systems
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Mar 12 2001 Dale Farnsworth <source@mvista.com>
- new upstream version: 3.x.0h
- added resize-reiserfs

* Fri Mar  9 2001 Dale Farnsworth <source@mvista.com>
- First cut
